Subject: RFC 4386 errata

From: Alfred Hönes <[email-masked]>
Date: Sat, 12 Aug 2006 17:50:14 +0200 (MESZ)

Hello,
reading RFC 4386 authored by you, I found a few textual issues
that should be clarified.

(1)  Section 2, page 2

The RFC says:

   C-FR  RFC 3034 defines a label-switching-controlled Frame Relay
         (LC-FR) interface.  Packets traversing such an interface carry
         labels in the DLCI field

   C-ATM RFC 3035 defines a label-switching-controlled ATM (LC-ATM)
         interface as an ATM interface controlled by the label switching
         control component.  [...]

The acronyms, "C-FR" and "C-ATM", do not appear elsewhere in the text.
Apparently, the first column has been cut off, and the RFC should say
instead:

   LC-FR
         RFC 3034 defines a label-switching-controlled Frame Relay
         (LC-FR) interface.  Packets traversing such an interface carry
         labels in the DLCI field

   LC-ATM
         RFC 3035 defines a label-switching-controlled ATM (LC-ATM)
         interface as an ATM interface controlled by the label switching
         control component.  [...]

(2)  Section 5, page 4

The last sentence of Section 5 says:

    [...].  Note that mplsLcAtmStdUnlabTrafVci and mplsLcAtmStdCtrlVci
   MUST not be equal; nor should mplsLcAtmStdCtrlVpi or
   mplsLcAtmStdUnlabTrafVpi be equal.

I strongly suspect that this is not true.

Perhaps, the  (Vpi, Vci) - *pairs*  must not be equal for every
mplsLcAtmStdInterfaceConfEntry.

Please comment.

I propose to submit an RFC Errata Note to the RFC Editor after
resolution of item (2) above.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+